import java.util.Date;

/**
 * The consumer thread alternates between sleeping and consuming an item using the remove() method.
 * @author BinHan
 */
public class Consumer extends Thread {
	private BoundBuffer oBuffer;
	
	/**
	 * Constructor.
	 * @param poBuffer
	 */
	public Consumer(BoundBuffer poBuffer)
	{
		this.oBuffer = poBuffer;
	}
	
	/* 
	 * @see java.lang.Thread#run()
	 */
	public void run()
	{
		Date poMessage;
		
		while(true)
		{
			BoundBuffer.napping();
//			consume an item from the buffer
			System.out.println("Consumer wants to consume");
			poMessage = (Date)this.oBuffer.remove();
		}
	}
}

//EOF