import java.util.Date;

/**
 * The producer thread alternates between sleeping for a while,
 * producing a message,
 * and attempting to place that message into the buffer via enter() method.
 * @author BinHan
 */
public class Producer extends Thread {
	private BoundBuffer oBuffer;
	
	/**
	 * Constructor.
	 * @param poBuffer
	 */
	public Producer(BoundBuffer poBuffer)
	{
		this.oBuffer = poBuffer;
	}
	
	/* 
	 * @see java.lang.Thread#run()
	 */
	public void run()
	{
		Date poMessage;
		
		while(true)
		{
			BoundBuffer.napping();
//			produce an item & enter it into the buffer
			poMessage = new Date();
			System.out.println("Producer produced " + poMessage.toString());
			this.oBuffer.enter(poMessage);
		}
	}
}

//EOF