
/**
 * Java semaphore implementation.
 * @author BinHan
 */
public class Semaphore {
	/**
	 * Semaphore value.
	 */
	private int iValue;
	
	/**
	 * Constructor.
	 */
	public Semaphore()
	{
		this.iValue = 0;
	}
	public Semaphore(int piValue)
	{
		this.iValue = piValue;
	}
	
	/**
	 * P operation of Semaphore, test Semaphore value.
	 */
	public synchronized void P()
	{
		while(this.iValue <= 0)
		{
			try
			{
				wait();
			}
			catch(InterruptedException e)
			{}
		}
		this.iValue--;
	}
	
	/**
	 * V operation of Semaphore, increment Semaphore value.
	 */
	public synchronized void V()
	{
		++this.iValue;
		notify();
	}
}

//EOF