
/**
 * Worker using semaphore.
 * @author BinHan
 */
public class Worker extends Thread {
	/**
	 * Semaphore flag.
	 */
	private Semaphore oSem;
	
	/**
	 * Worker Name.
	 */
	private String strName;
	
	/**
	 * Constructor.
	 * @param poSem
	 * @param pstrName
	 */
	public Worker(Semaphore poSem, String pstrName)
	{
		this.oSem = poSem;
		this.strName = pstrName;
	}
	
	/*
	 * @see java.lang.Thread#run()
	 */
	public void run()
	{
		while(true)
		{
			this.oSem.P();
			System.out.println(strName + "is in critical section.");
//			Runner.criticalSection();
			this.oSem.V();
			System.out.println(strName + "is out of critical section.");
//			Runner.criticalSection();
		}
	}
}

//EOF